Intereting Posts
FEATURE_ACTIVITY_TRANSITIONS против FEATURE_CONTENT_TRANSITIONS Как изменить размер шрифта и цвет шрифта из файла Java? Как реализовать нижние листы с использованием новой библиотеки поддержки дизайна 23.2 Получение текущего предложения от `AutoCompleteTextView` Print Весь журнал запросов, вызванный из библиотеки волейбола Хотите узнать целевой URL, когда вызывается WebChromeClient # onCreateWindow Как идентифицировать три пальца в андроиде Есть ли способ предотвратить удаление приложения Android? Как получить доступ к датчику сердечного ритма в Android Wearable? Как начать работу с UncaughtExceptionHandler, если это основной поток разбился? Передача контекста в качестве аргумента DialogFragment Android Proguard java.io.IOException: невозможно прочитать [proguard.ClassPathEntry Android: ориентация предварительного просмотра камеры в портретном режиме Помечается как личное предупреждение после изменения цвета стрелки вверх Android Bluetooth LE – характеристики чтения, не работающие на Samsung

ObjectAnimator в уровне API <11

Таким образом, я действительно разочарован андроидом, и тот факт, что половина материала не работает, когда вы откатываетесь от уровня API за 11 лет. Почему это не так просто и хорошо сделано, как iOS ?!

Проблема Я использую ObjectAnimators для анимации перехода между Fragments . Они отлично работают во всем, что связано с уровнем API 11 и выше. Как только я изменю цель сборки до менее чем 11, у меня возникают проблемы с ней, говоря, что он не может найти идентификаторы ресурсов для таких атрибутов, как propertyName и valueType в XML-файле.

Вопрос: Что я должен использовать вместо этого для анимации переходов Fragment которые будут работать на уровнях API> 7.

Заранее спасибо.

Solutions Collecting From Web of "ObjectAnimator в уровне API <11"

Я предлагаю использовать http://nineoldandroids.com/ , его от того же производителя проекта ActionBarSherlock, он представляет поддержку ObjectAnimator, которая работает с API 1 и далее.

Property Animation Представлена ​​в Android 3.0 (уровень API 11)

Для поддержки более низкой версии Android (я не пробовал, но вы можете использовать)

Девять старых андроидов Скачать

Библиотека Android для использования API анимации Honeycomb (Android 3.0) на всех версиях платформы до 1.0 !.

Также посмотрите на этот блог Ссылка на фрагменты

И этот SO-вопрос: стандартный переход Android Fragment не оживляет